#
# spec file for package python-zaqarclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname zaqarclient
Name:           python-zaqarclient
Version:        1.11.0
Release:        2.6
Summary:        Client Library for OpenStack Zaqar Queueing API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-ddt
BuildRequires:  python-fixtures
BuildRequires:  python-jsonschema
BuildRequires:  python-keystoneauth1
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-nose-exclude
BuildRequires:  python-os-client-config
BuildRequires:  python-osc-lib
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-pbr
BuildRequires:  python-python-subunit
BuildRequires:  python-requests
BuildRequires:  python-requests-mock
BuildRequires:  python-setuptools
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-jsonschema
Requires:       python-keystoneauth1
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
Requires:       python-stevedore
BuildArch:      noarch

%description
Python client to Zaqar Queueing API.

%package doc
Summary:        Documentation for OpenStack Zaqar Queueing API
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description doc
Documentation for the client library for interacting with Openstack
Zaqar Queueing API.

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%py2_build

# Build HTML docs and man page
PBR_VERSION=%{version} sphinx-build -b html doc/source doc/build/html
rm -r doc/build/html/.{doctrees,buildinfo}

%install
%py2_install

%check
PYTHONPATH=. nosetests

%files
%doc README.rst ChangeLog examples
%license LICENSE
%{python2_sitelib}/%{sname}
%{python2_sitelib}/python_zaqarclient-*-py?.?.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
